{
  "criteria": {
    "use_cow_horn": {
      "trigger": "minecraft:using_item",
      "conditions": {
        "player": [
          {
            "condition": "minecraft:value_check",
            "value": {
              "type": "minecraft:score",
              "target": "this",
              "score": "OverlyRealistic.Player.UsedGoatHorn"
            },
            "range": {
              "min": 1
            }
          }
        ],
        "item": {
          "items": "minecraft:goat_horn",
          "components": {
            "custom_data": {
              "cow_horn_type": "scream"
            }
          }
        }
      }
    }
  },
  "requirements": [
    [
      "use_cow_horn"
    ]
  ],
  "rewards": {
    "function": "overly_realistic:players/misc/cow_horns/horn_scream"
  }
}